#include <iostream>
unsigned int a[200005];
using namespace std;

int zerg(int l, int r)
{
    if(l==r)
        return a[l];
    if(l>r)
        return 0;
    int mymin=a[l];
    int index=l;
    for(int i=l+1; i<=r; i++)
        if(mymin>a[i])
        {
            mymin=a[i];
            index=i;
        }
    int d=a[index];
    for(int i=l; i<=r; i++)
        a[i]-=d;
    return zerg(l, index-1)+zerg(index+1, r)+d;
}

int main(){
    int n;
    cin>>n;
    for(int i=0; i<n; i++)
        cin>>a[i];
    cout<<zerg(0, n-1);
    return 0;
}
